Subject: bug#4789: use bootstrap-emacs to build emacs/leim directory, load emacs/leim/leim-list.el to loadup.el

From: Stefan Monnier <[email-masked]>
Date: Tue, 10 Apr 2012 08:57:56 -0400

>> > compile all the *.el files under leim/ as well, but Stefan once told
>> > me something that I interpreted to mean he would rather go in the
>> > opposite direction -- let the build process compile all the *.el files
>> > under lisp/ and ship them uncompiled in the tarball.
>> > Maybe I misunderstood.
>> What I said/meant was that we should reduce the difference between
>> "build from tarball" and "build from Bzr checkout".  So, yes, I'd rather
>> we don't distribute the .elc files in the tarball.  But it's a low
>> priority goal.
> Does it mean you will be against distributing Leim packages in
> byte-compiled form?

I'm OK with it if it simplifies the code (by re-using the code used for
the `lisp' directory), but otherwise I'm generally not in favor, indeed.

        Stefan